<script lang="ts">
  import type { SuggestionProps } from '@tiptap/suggestion';

  // Define props
  export let props: SuggestionProps<any>;
  // Note: the SuggestionProps seem to contain the following attributes:
  // clientRect: () => {…}
  // command: (commandProps) => {…}
  // decorationNode: span.suggestion
  // editor: Editor
  // items: Array
  // query: string
  // range: {from: 1, to: 2}
  // text: "@"
</script>

{#each props.items as item}
  <button
    on:click={() => props.command({ label: item })}
    type="button"
    class="block w-full px-4 py-2 text-left hover:bg-gray-100 hover:text-gray-950">{item}</button
  >
{:else}
  <p class="text-gray-500 px-4 py-2">Geen variabelen gevonden</p>
{/each}
